<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="ben @ tilde.team unix group">
    <meta name="author" content="Ben Harris">
    <title>ben~tilde.team</title>

    <link rel="icon" type="image/png" sizes="192x192" href="https://tilde.team/apple-icon.png">

    <link rel="stylesheet" href="https://tilde.team/css/hacker.css">
    <link rel="stylesheet" href="https://tilde.team/css/fork-awesome.css">

    <style>
        [v-cloak] {
            display: none
        }
    </style>
</head>

<body>
    <div id="app" class="container">
        <div class="page-header">
            <div class="pull-right">
                <p><a href="https://tilde.team/">&lt;- back to tilde team</a></p>
            </div>
            <h1>~ben</h1>
            <p v-cloak>{{ tagline }}
                <button class="btn btn-xs btn-primary" @click="getnewtagline">
                    <i class="fa fa-refresh"></i>
                </button>
            </p>
        </div>

        <p>i built and maintain tilde.team</p>
        <p>come join the tilde team
            <a href="https://tilde.team/signup/">:)</a>
        </p>
        <p>other places to find/contact me</p>

        <?php include "links.php"; ?>

        <div v-cloak v-if="fonts.length> 0">
            <hr>
            <strong>
                <h3>play with some ascii art</h3>
            </strong>
            <form>
                <div class="form-group">
                    <label for="font-selector">pick a font</label>
                    <select v-model="font" id="font-selector" @change="updateOutput" class="form-control">
                        <option v-for="font in fonts" :value="font">{{ font }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="asciiinput">put some text here</label>
                    <input v-model="text" id="asciiinput" @input="updateOutput" placeholder="put some text here" class="form-control">
                </div>

                <div class="form-group" v-if="output">
                    <pre>{{ output }}</pre>
                </div>
            </form>
        </div>

        <hr>
        <div v-cloak>
            <img :src="yesnoimg" :alt="yesno" class="img-responsive">
            <h3>should u do it</h3>
            <strong>{{ yesno }}</strong>
        </div>
        <a class="btn btn-danger" @click="getyesno">find out</a>

    </div>

    <script src="js/es6-promise.auto.min.js"></script>
    <script src="js/vue.js"></script>
    <script src="js/axios.min.js"></script>
    <script src="js/app.js"></script>

</body>

</html>
